Bug 25336 - Show checkouts/fines to guarantor is in the wrong section of the patron file
Summary: Show checkouts/fines to guarantor is in the wrong section of the patron file
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-30 19:48 UTC by Caroline Cyr La Rose
Modified: 2020-09-20 14:30 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25336: Show checkouts/fines to guarantor is in the wrong section of the patron file (3.98 KB, patch)
2020-05-03 23:53 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25336: Show checkouts/fines to guarantor is in the wrong section of the patron file (4.05 KB, patch)
2020-07-08 20:15 UTC, Caroline Cyr La Rose
Details | Diff | Splinter Review
Bug 25336: Show checkouts/fines to guarantor is in the wrong section of the patron file (4.12 KB, patch)
2020-08-06 16:23 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2020-04-30 19:48:03 UTC
Hello!

I noticed that the Show checkouts to guarantor and Show fines to guarantor flags are in the "Library use" section of the patron file. However, they are set in the "Contact information" section with the setting of the guarantor.

This is confusing because if you want to edit the flags, you cannot do it by clicking the "Edit" button next to "Library use", even though the flags are in that section. You have to know that they are set in the "Contact information" section and use that "Edit" button to change them.

Caroline
Comment 1 David Roberts 2020-05-03 23:47:55 UTC
I was going to create an entirely new section for Guarantor information, from which you could edit just the guarantor/guarantee, but I found I was introducing bugs faster than I could fix them! Instead, I've simply moved the two fields from the Library Use section into the Contact section so that they are now in the same section as where they get edited.
Comment 2 David Roberts 2020-05-03 23:53:16 UTC
Created attachment 104243 [details] [review]
Bug 25336: Show checkouts/fines to guarantor is in the wrong section of the patron file

This patch moves the "Show checkouts to guarantor" and "Show fines to
guarantor" data to display under the Contact information block

To test:

1) Enable the AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowStaffToSetFinesVisibilityForGuarantor system preferences to Allow
2) View a patron record.
3) The "Show checkouts to guarantor" and "Show fines to guarantor" field
will be on the right hand side of the screen under the Library use
block.
4) Apply patch
5) Check that this data has now moved to the Contact information block
on the left hand side of the patron record.
Comment 3 Caroline Cyr La Rose 2020-07-08 20:15:45 UTC
Created attachment 106665 [details] [review]
Bug 25336: Show checkouts/fines to guarantor is in the wrong section of the patron file

This patch moves the "Show checkouts to guarantor" and "Show fines to
guarantor" data to display under the Contact information block

To test:

1) Enable the AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowStaffToSetFinesVisibilityForGuarantor system preferences to Allow
2) View a patron record.
3) The "Show checkouts to guarantor" and "Show fines to guarantor" field
will be on the right hand side of the screen under the Library use
block.
4) Apply patch
5) Check that this data has now moved to the Contact information block
on the left hand side of the patron record.

Works for me!

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>
Comment 4 Nick Clemens 2020-08-06 16:23:51 UTC
Created attachment 107901 [details] [review]
Bug 25336: Show checkouts/fines to guarantor is in the wrong section of the patron file

This patch moves the "Show checkouts to guarantor" and "Show fines to
guarantor" data to display under the Contact information block

To test:

1) Enable the AllowStaffToSetCheckoutsVisibilityForGuarantor and AllowStaffToSetFinesVisibilityForGuarantor system preferences to Allow
2) View a patron record.
3) The "Show checkouts to guarantor" and "Show fines to guarantor" field
will be on the right hand side of the screen under the Library use
block.
4) Apply patch
5) Check that this data has now moved to the Contact information block
on the left hand side of the patron record.

Works for me!

Signed-off-by: Caroline Cyr La Rose <caroline.cyr-la-rose@inlibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Jonathan Druart 2020-08-07 14:55:52 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-14 22:33:51 UTC
backported to 20.05.x for 20.05.03
Comment 7 Aleisha Amohia 2020-08-16 23:31:20 UTC
backported to 19.11.x for 19.11.09
Comment 8 Victor Grousset/tuxayo 2020-09-20 14:30:11 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.